## org.apache.tools.ant.types.selectors
Class DependSelector

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.DependSelector

All Implemented Interfaces:
  FileSelector

public class DependSelector
extends BaseSelector

Selector that filters files based on whether they are newer than a matching file in another directory tree. It can contain a mapper element, so isn't available as an ExtendSelector (since those parameters can't hold other elements).

Since:
  1.5
Author:
  Bruce Atherton

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DependSelector()`

Method Summary
`Mapper` `createMapper()` Defines the FileNameMapper to use (nested mapper element).
`boolean` `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)` The heart of the matter.
`void` `setGranularity(int granularity)` Sets the number of milliseconds leeway we will give before we consider a file out of date.
`void` `setTargetdir(java.io.File targetdir)` The name of the file or directory which is checked for out-of-date files.
`java.lang.String` `toString()`
`void` `verifySettings()` Checks to make sure all settings are kosher.

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependSelector

    public DependSelector()

Method Detail

### toString

    public java.lang.String toString()

### setTargetdir

    public void setTargetdir(java.io.File targetdir)

  The name of the file or directory which is checked for out-of-date files.

  Parameters:
    `targetdir` - the directory to scan looking for files.

### setGranularity

    public void setGranularity(int granularity)

  Sets the number of milliseconds leeway we will give before we consider a file out of date.

### createMapper

    public Mapper createMapper()
                        throws BuildException

  Defines the FileNameMapper to use (nested mapper element).

  Throws:
    `BuildException`

### verifySettings

    public void verifySettings()

  Checks to make sure all settings are kosher. In this case, it means that the dest attribute has been set and we have a mapper.

  Overrides:
    `verifySettings` in class `BaseSelector`

### isSelected

    public boolean isSelected(java.io.File basedir,
                              java.lang.String filename,
                              java.io.File file)

  The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.

  Specified by:
    `isSelected` in interface `FileSelector`
  Specified by:
    `isSelected` in class `BaseSelector`
  Parameters:
    `basedir` - the base directory the scan is being done from
    `filename` - is the name of the file to check
    `file` - is a java.io.File object the selector can use
  Returns:
    whether the file should be selected or not

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.